"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = exports.AvatarGroup = void 0;

var _react = _interopRequireDefault(require("react"));

var _dom = require("../utils/dom");

var _assertion = require("../utils/assertion");

var _avatarGroup = _interopRequireWildcard(require("./avatar-group.styles"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const AvatarGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    count,
    children,
    ...otherProps
  } = props;
  const domRef = (0, _dom.useDOMRef)(ref);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_avatarGroup.default, {
    ref: domRef,
    ...otherProps,
    children: [children, count && /*#__PURE__*/(0, _jsxRuntime.jsxs)(_avatarGroup.StyledAvatarGroupCount, {
      className: "nextui-avatar-group-count",
      children: ["+", count]
    })]
  });
});

exports.AvatarGroup = AvatarGroup;

if (_assertion.__DEV__) {
  AvatarGroup.displayName = 'NextUI.AvatarGroup';
}

AvatarGroup.toString = () => '.nextui-avatar-group';

var _default = AvatarGroup;
exports.default = _default;