"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _dom = require("../utils/dom");

var _assertion = require("../utils/assertion");

var _checkboxContext = require("./checkbox-context");

var _useCheckboxGroup = require("./use-checkbox-group");

var _checkbox = require("./checkbox.styles");

var _jsxRuntime = require("react/jsx-runtime");

const CheckboxGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    className,
    as,
    label,
    ...otherProps
  } = props;
  const {
    css,
    ...context
  } = (0, _useCheckboxGroup.useCheckboxGroup)({ ...otherProps,
    label
  });
  const domRef = (0, _dom.useDOMRef)(ref);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_checkbox.StyledCheckboxGroup, {
    ref: domRef,
    ...context.groupProps,
    className: (0, _clsx.default)('nextui-checkbox-group', className),
    size: context.size,
    isDisabled: context.groupState.isDisabled,
    as: as,
    css: css,
    children: [label && /*#__PURE__*/(0, _jsxRuntime.jsx)("label", {
      className: "nextui-checkbox-group-label",
      ...context.labelProps,
      children: label
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_checkbox.StyledCheckboxGroupContainer, {
      className: "nextui-checkbox-group-items",
      role: "presentation",
      isRow: context.isRow,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_checkboxContext.CheckboxGroupProvider, {
        value: context,
        children: children
      })
    })]
  });
});

if (_assertion.__DEV__) {
  CheckboxGroup.displayName = 'NextUI.CheckboxGroup';
}

CheckboxGroup.toString = () => '.nextui-checkbox-group';

var _default = CheckboxGroup;
exports.default = _default;
module.exports = exports.default;