"use strict";

exports.__esModule = true;
exports.useCheckboxGroup = void 0;

var _checkbox = require("@react-stately/checkbox");

var _checkbox2 = require("@react-aria/checkbox");

/**
 * @internal
 */
const useCheckboxGroup = (props = {}) => {
  const {
    size = 'md',
    color = 'default',
    labelColor = 'default',
    isRow = false,
    css,
    ...otherProps
  } = props;
  const groupState = (0, _checkbox.useCheckboxGroupState)(otherProps);
  const {
    labelProps,
    groupProps
  } = (0, _checkbox2.useCheckboxGroup)(otherProps, groupState);
  return {
    css,
    size,
    isRow,
    color,
    labelColor,
    groupState,
    labelProps,
    groupProps
  };
};

exports.useCheckboxGroup = useCheckboxGroup;