"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _gridItem = _interopRequireDefault(require("./grid-item"));

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _withDefaults = _interopRequireDefault(require("../utils/with-defaults"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const defaultProps = {
  gap: 0,
  wrap: 'wrap',
  className: ''
};

const GridContainer = /*#__PURE__*/_react.default.forwardRef(({
  gap,
  wrap,
  css,
  children,
  className,
  ...props
}, ref) => {
  const gapUnit = (0, _react.useMemo)(() => {
    return `calc(${gap} * $space$3)`;
  }, [gap]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_gridItem.default, {
    ref: ref,
    className: (0, _clsx.default)('nextui-grid-container', className),
    css: {
      $$gridGapUnit: gapUnit,
      display: 'flex',
      flexWrap: wrap,
      boxSizing: 'border-box',
      margin: 'calc(-1 * $$gridGapUnit)',
      width: 'calc(100% + $$gridGapUnit * 2)',
      ...css
    },
    ...props,
    children: children
  });
});

GridContainer.displayName = 'NextUI.GridContainer';

GridContainer.toString = () => '.nextui-grid-container';

var _default = (0, _withDefaults.default)(GridContainer, defaultProps);

exports.default = _default;
module.exports = exports.default;