"use strict";

exports.__esModule = true;
exports.default = exports.StyledLinkIcon = exports.StyledLink = void 0;

var _stitches = require("../theme/stitches.config");

var _color = require("../utils/color");

var _theme$colors, _theme$colors$link;

const StyledLinkIcon = (0, _stitches.styled)('svg', {
  ml: '$1',
  as: 'center',
  display: 'inline-flex',
  color: 'currentColor'
});
exports.StyledLinkIcon = StyledLinkIcon;
const StyledLink = (0, _stitches.styled)('a', {
  display: 'inline-flex',
  alignItems: 'baseline',
  lineHeight: 'inherit',
  textDecoration: 'none',
  width: 'fitContent',
  backgroundImage: 'inherit',
  backgroundColor: 'inherit',
  backgroundClip: 'inherit',
  WebkitTextFillColor: 'inherit',
  '&:hover': {
    opacity: 0.8
  },
  '@motion': {
    transition: 'none'
  },
  variants: {
    color: {
      default: {
        color: '$link'
      },
      text: {
        color: '$text'
      },
      primary: {
        color: '$primary'
      },
      secondary: {
        color: '$secondary'
      },
      success: {
        color: '$success'
      },
      warning: {
        color: '$warning'
      },
      error: {
        color: '$error'
      }
    },
    underline: {
      true: {
        '&:hover, &:active, &:focus': {
          textDecoration: 'underline'
        }
      }
    },
    block: {
      true: {
        padding: '$2 $4',
        borderRadius: '$base'
      }
    },
    animated: {
      true: {
        transition: '$link'
      }
    }
  },
  compoundVariants: [{
    color: 'default',
    block: true,
    css: {
      '&:hover': {
        backgroundColor: (0, _color.addColorAlpha)((_theme$colors = _stitches.theme.colors) == null ? void 0 : (_theme$colors$link = _theme$colors.link) == null ? void 0 : _theme$colors$link.value, 0.2)
      }
    }
  }, {
    color: 'primary',
    block: true,
    css: {
      '&:hover': {
        backgroundColor: '$primaryLight'
      }
    }
  }, {
    color: 'secondary',
    block: true,
    css: {
      '&:hover': {
        backgroundColor: '$secondaryLight'
      }
    }
  }, {
    color: 'success',
    block: true,
    css: {
      '&:hover': {
        backgroundColor: '$successLight'
      }
    }
  }, {
    color: 'warning',
    block: true,
    css: {
      '&:hover': {
        backgroundColor: '$warningLight'
      }
    }
  }, {
    color: 'error',
    block: true,
    css: {
      '&:hover': {
        backgroundColor: '$errorLight'
      }
    }
  }],
  defaultVariants: {
    color: 'default',
    animated: true
  }
});
exports.StyledLink = StyledLink;
var _default = StyledLink;
exports.default = _default;