"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _pagination = require("./pagination.styles");

var _utils = require("@react-aria/utils");

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const preClass = 'nextui-pagination-highlight';

const PaginationHighlight = ({
  active,
  shadow,
  noMargin,
  rounded,
  css,
  ...props
}) => {
  const [selfActive, setSelfActive] = (0, _react.useState)(active);
  const [moveClassName, setMoveClassName] = (0, _react.useState)('');
  (0, _react.useEffect)(() => {
    if (active !== selfActive) {
      setSelfActive(active);
      setMoveClassName(`${preClass}--moving`);
      const timer = setTimeout(() => {
        setMoveClassName('');
        clearTimeout(timer);
      }, 350);
    }
  }, [active]);
  const leftValue = (0, _react.useMemo)(() => noMargin ? `var(--nextui--paginationSize) * ${selfActive}` : `var(--nextui--paginationSize) * ${selfActive} + ${selfActive * 4 + 2}px`, [selfActive, noMargin]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_pagination.StyledPaginationHighlight, {
    "aria-hidden": true,
    shadow: shadow,
    rounded: rounded,
    className: (0, _clsx.default)(preClass, moveClassName, {
      [`${preClass}--rounded`]: rounded,
      [`${preClass}--active`]: active,
      [`${preClass}--no-margin`]: noMargin,
      [`${preClass}--shadow`]: shadow
    }, props.className),
    noMargin: noMargin,
    style: (0, _utils.mergeProps)({
      '--nextui--paginationLeft': `calc(${leftValue})`
    }, (props == null ? void 0 : props.style) || {}),
    css: {
      left: 'var(--nextui--paginationLeft)',
      ...css
    },
    ...props
  });
};

PaginationHighlight.toString = () => '.nextui-pagination-highlight';

var _default = PaginationHighlight;
exports.default = _default;
module.exports = exports.default;