"use strict";

exports.__esModule = true;
exports.PopoverTrigger = void 0;

var React = _interopRequireWildcard(require("react"));

var _button = require("@react-aria/button");

var _utils = require("@react-aria/utils");

var _popoverContext = require("./popover-context");

var _collections = require("../utils/collections");

var _index = require("../index");

var _assertion = require("../utils/assertion");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * PopoverTrigger opens the popover's content. It must be an interactive element
 * such as `button` or `a`.
 */
const PopoverTrigger = props => {
  const {
    state,
    triggerRef,
    getTriggerProps
  } = (0, _popoverContext.usePopoverContext)();

  const onPress = () => state.open();

  const {
    buttonProps
  } = (0, _button.useButton)({
    onPress
  }, triggerRef); // enforce a single child

  const child = React.Children.only(props.children); // validates if contains a NextUI Button as a child

  const [, triggerChildren] = (0, _collections.pickChild)(props.children, _index.Button);
  const hasNextUIButton = (triggerChildren == null ? void 0 : triggerChildren[0]) !== undefined;
  return /*#__PURE__*/React.cloneElement(child, getTriggerProps((0, _utils.mergeProps)(child.props, hasNextUIButton ? {
    onPress
  } : buttonProps), child.ref));
};

exports.PopoverTrigger = PopoverTrigger;

if (_assertion.__DEV__) {
  PopoverTrigger.displayName = 'NextUI.PopoverTrigger';
}

PopoverTrigger.toString = () => '.nextui-popover-trigger';