"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _overlays = require("@react-aria/overlays");

var _assertion = require("../utils/assertion");

var _collections = require("../utils/collections");

var _popoverContent = require("./popover-content");

var _usePopover = require("./use-popover");

var _popoverContext = require("./popover-context");

var _popoverTrigger = require("./popover-trigger");

var _jsxRuntime = require("react/jsx-runtime");

const Popover = props => {
  const {
    children,
    ...otherProps
  } = props;
  const context = (0, _usePopover.usePopover)(otherProps);
  const [withoutTrigger, triggerChildren] = (0, _collections.pickChild)(children, _popoverTrigger.PopoverTrigger);
  const [, contentChildren] = (0, _collections.pickChild)(withoutTrigger, _popoverContent.PopoverContent);
  const mountOverlay = context.state.isOpen || !context.exited;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_popoverContext.PopoverProvider, {
    value: context,
    children: [triggerChildren, mountOverlay && /*#__PURE__*/(0, _jsxRuntime.jsx)(_overlays.OverlayContainer, {
      children: contentChildren
    })]
  });
};

if (_assertion.__DEV__) {
  Popover.displayName = 'NextUI.Popover';
}

Popover.toString = () => '.nextui-popover';

var _default = Popover;
exports.default = _default;
module.exports = exports.default;