"use strict";

exports.__esModule = true;
exports.getTransformOrigin = exports.getAriaPlacement = void 0;

const getAriaPlacement = placement => {
  if (!placement) {
    return 'bottom';
  }

  return placement.replace('-', ' ');
};

exports.getAriaPlacement = getAriaPlacement;

const getTransformOrigin = placement => {
  if (!placement) {
    return 'bottom';
  }

  switch (placement) {
    case 'bottom':
      return 'top center';

    case 'top':
      return 'bottom center';

    case 'left':
      return 'right center';

    case 'right':
      return 'left center';

    case 'bottom-left':
      return 'top left';

    case 'bottom-right':
      return 'top right';

    case 'top-left':
      return 'bottom left';

    case 'top-right':
      return 'bottom right';

    case 'left-top':
      return 'right top';

    case 'left-bottom':
      return 'right bottom';

    case 'right-top':
      return 'left top';

    case 'right-bottom':
      return 'left bottom';

    default:
      return 'top center';
  }
};

exports.getTransformOrigin = getTransformOrigin;