"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _table = require("@react-aria/table");

var _table2 = require("./table.styles");

var _focus = require("@react-aria/focus");

var _utils = require("@react-aria/utils");

var _visuallyHidden = require("@react-aria/visually-hidden");

var _tableSortIcon = _interopRequireWildcard(require("./table-sort-icon"));

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const TableColumnHeader = /*#__PURE__*/_react.default.forwardRef(({
  column,
  state,
  ...props
}, ref) => {
  var _state$sortDescriptor, _state$sortDescriptor2;

  const tableColumnHeaderRef = (0, _react.useRef)(null);
  (0, _react.useImperativeHandle)(ref, () => tableColumnHeaderRef == null ? void 0 : tableColumnHeaderRef.current);
  const {
    columnHeaderProps
  } = (0, _table.useTableColumnHeader)({
    node: column
  }, state, tableColumnHeaderRef);
  const {
    isFocusVisible,
    focusProps
  } = (0, _focus.useFocusRing)();
  const {
    hideHeader,
    ...columnProps
  } = column.props;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_table2.StyledTableColumnHeader, {
    ref: tableColumnHeaderRef,
    isFocusVisible: isFocusVisible,
    colSpan: column.colspan,
    className: (0, _clsx.default)('nextui-table-column-header', props.className),
    ...(0, _utils.mergeProps)(props, columnHeaderProps, focusProps, columnProps),
    children: [hideHeader ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_visuallyHidden.VisuallyHidden, {
      children: column.rendered
    }) : column.rendered, columnProps.allowsSorting && /*#__PURE__*/(0, _jsxRuntime.jsx)(_tableSortIcon.default, {
      visible: ((_state$sortDescriptor = state.sortDescriptor) == null ? void 0 : _state$sortDescriptor.column) === column.key,
      ascending: ((_state$sortDescriptor2 = state.sortDescriptor) == null ? void 0 : _state$sortDescriptor2.direction) === 'ascending',
      css: {
        position: 'absolute',
        m: '0 $2',
        bottom: `calc(50% - ${_tableSortIcon.ICON_SIZE / 2}px)`
      }
    })]
  });
});

TableColumnHeader.displayName = 'NextUI.TableColumnHeader';

TableColumnHeader.toString = () => '.nextui-table-column-header';

var _default = TableColumnHeader;
exports.default = _default;
module.exports = exports.default;