"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.useTableContext = exports.default = exports.TableContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _jsxRuntime = require("react/jsx-runtime");

const defaultContext = {
  footerAlign: 'end',
  rowsPerPage: 0,
  currentPage: 1,
  animated: true
};

const TableContext = /*#__PURE__*/_react.default.createContext(defaultContext);

exports.TableContext = TableContext;

const useTableContext = () => _react.default.useContext(TableContext);

exports.useTableContext = useTableContext;

const Provider = ({
  children,
  defaultValues
}) => {
  const [footerAlign, setFooterAlign] = _react.default.useState((defaultValues == null ? void 0 : defaultValues.footerAlign) || defaultContext.footerAlign);

  const [animated, setAnimated] = _react.default.useState((defaultValues == null ? void 0 : defaultValues.animated) === undefined ? defaultContext.animated : defaultValues == null ? void 0 : defaultValues.animated);

  const [collection, setCollection] = _react.default.useState(defaultValues == null ? void 0 : defaultValues.collection);

  const [rowsPerPage, setRowsPerPage] = _react.default.useState((defaultValues == null ? void 0 : defaultValues.rowsPerPage) === undefined ? defaultContext.rowsPerPage : defaultValues == null ? void 0 : defaultValues.rowsPerPage);

  const [currentPage, setCurrentPage] = _react.default.useState(defaultContext.currentPage);

  const [color, setColor] = _react.default.useState(defaultValues == null ? void 0 : defaultValues.color);

  const providerValue = _react.default.useMemo(() => ({
    animated,
    footerAlign,
    collection,
    rowsPerPage,
    currentPage,
    color,
    setFooterAlign,
    setCollection,
    setAnimated,
    setRowsPerPage,
    setColor,
    setCurrentPage
  }), [animated, color, collection, footerAlign, rowsPerPage, currentPage]);

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(TableContext.Provider, {
    value: providerValue,
    children: children
  });
};

var _default = {
  Provider,
  Consumer: TableContext.Consumer
};
exports.default = _default;