"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _tableContext = require("./table-context");

var _table = require("./table.styles");

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const TableFooter = /*#__PURE__*/_react.default.forwardRef(({
  children,
  ...props
}, ref) => {
  const tableFooterRef = (0, _react.useRef)(null);
  (0, _react.useImperativeHandle)(ref, () => tableFooterRef == null ? void 0 : tableFooterRef.current);
  const {
    footerAlign
  } = (0, _tableContext.useTableContext)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_table.StyledTableFooter, {
    ref: tableFooterRef,
    role: "rowgroup",
    align: props.align || footerAlign,
    className: (0, _clsx.default)('nextui-table-footer', props.className),
    ...props,
    children: children
  });
});

TableFooter.displayName = 'NextUI.TableFooter';

TableFooter.toString = () => '.nextui-table-footer';

var _default = TableFooter;
exports.default = _default;
module.exports = exports.default;