"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _index = require("../index");

var _tableContext = require("./table-context");

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const TablePagination = ({
  align,
  rowsPerPage: rowsPerPageProp,
  onPageChange,
  ...props
}) => {
  const {
    color,
    animated,
    collection,
    footerAlign,
    rowsPerPage,
    setFooterAlign,
    setRowsPerPage,
    setCurrentPage
  } = (0, _tableContext.useTableContext)();

  _react.default.useEffect(() => {
    if (align && align !== footerAlign) {
      setFooterAlign == null ? void 0 : setFooterAlign(align);
    }
  }, [align, footerAlign]);

  _react.default.useEffect(() => {
    if (rowsPerPageProp && rowsPerPageProp !== rowsPerPage) {
      setRowsPerPage == null ? void 0 : setRowsPerPage(rowsPerPageProp);
    }
  }, [rowsPerPage, rowsPerPageProp]);

  const handlePageChanged = page => {
    setCurrentPage == null ? void 0 : setCurrentPage(page);
    onPageChange == null ? void 0 : onPageChange(page);
  };

  const totalPagination = (0, _react.useMemo)(() => {
    var _collection$body;

    const rowsCount = collection != null && collection.body ? [...(collection == null ? void 0 : (_collection$body = collection.body) == null ? void 0 : _collection$body.childNodes)].length : 0;
    return rowsPerPage > 0 ? Math.ceil(rowsCount / rowsPerPage) : 1;
  }, [collection, rowsPerPage]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Pagination, {
    total: totalPagination,
    animated: animated,
    onChange: handlePageChanged,
    color: props.color || color,
    className: (0, _clsx.default)('nextui-table-pagination', props.className),
    ...props
  });
};

TablePagination.displayName = 'NextUI.TablePagination';

TablePagination.toString = () => '.nextui-table-pagination';

var _default = TablePagination;
exports.default = _default;
module.exports = exports.default;