"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _table = require("@react-aria/table");

var _table2 = require("./table.styles");

var _focus = require("@react-aria/focus");

var _utils = require("@react-aria/utils");

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const TableRow = /*#__PURE__*/_react.default.forwardRef(({
  children,
  item,
  state,
  ...props
}, ref) => {
  const tableRowRef = (0, _react.useRef)(null);
  (0, _react.useImperativeHandle)(ref, () => tableRowRef == null ? void 0 : tableRowRef.current);
  const {
    rowProps
  } = (0, _table.useTableRow)({
    node: item
  }, state, tableRowRef);
  const {
    isFocusVisible,
    focusProps
  } = (0, _focus.useFocusRing)();
  const isDisabled = state.disabledKeys.has(item.key);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_table2.StyledTableRow, {
    ref: tableRowRef,
    isFocusVisible: isFocusVisible,
    isSelected: !!rowProps['aria-selected'],
    isDisabled: isDisabled,
    className: (0, _clsx.default)('nextui-table-row', {
      'nextui-table-row--selected': rowProps['aria-selected'],
      'nextui-table-row--disabled': isDisabled
    }, props.className),
    css: item.props.css,
    ...(0, _utils.mergeProps)(rowProps, focusProps, props),
    children: children
  });
});

TableRow.displayName = 'NextUI.TableRow';

TableRow.toString = () => '.nextui-table-row';

var _default = TableRow;
exports.default = _default;
module.exports = exports.default;