"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _table = require("@react-aria/table");

var _visuallyHidden = require("@react-aria/visually-hidden");

var _focus = require("@react-aria/focus");

var _utils = require("@react-aria/utils");

var _checkbox = _interopRequireDefault(require("../checkbox"));

var _table2 = require("./table.styles");

var _clsx = _interopRequireDefault(require("../utils/clsx"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const TableSelectAllCheckbox = /*#__PURE__*/_react.default.forwardRef(({
  column,
  state,
  color,
  animated,
  ...props
}, ref) => {
  const tableCellRef = (0, _react.useRef)(null);
  (0, _react.useImperativeHandle)(ref, () => tableCellRef == null ? void 0 : tableCellRef.current);
  const isSingleSelectionMode = state.selectionManager.selectionMode === 'single';
  const {
    columnHeaderProps
  } = (0, _table.useTableColumnHeader)({
    node: column
  }, state, tableCellRef);
  const {
    checkboxProps
  } = (0, _table.useTableSelectAllCheckbox)(state);
  const {
    isFocusVisible,
    focusProps
  } = (0, _focus.useFocusRing)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_table2.StyledTableHeaderCell, {
    ref: tableCellRef,
    isFocusVisible: isFocusVisible,
    className: (0, _clsx.default)('nextui-table-select-all-checkbox', props.className),
    ...(0, _utils.mergeProps)(columnHeaderProps, focusProps, props),
    children: isSingleSelectionMode ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_visuallyHidden.VisuallyHidden, {
      children: checkboxProps['aria-label']
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_checkbox.default, { ...checkboxProps,
      color: color,
      disableAnimation: !animated,
      css: {
        display: 'inherit',
        $$checkboxBorderColor: '$colors$accents3'
      }
    })
  });
});

TableSelectAllCheckbox.displayName = 'NextUI.TableSelectAllCheckbox';

TableSelectAllCheckbox.toString = () => '.nextui-table-select-all-checkbox';

var _default = TableSelectAllCheckbox;
exports.default = _default;
module.exports = exports.default;