"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.isInfinityScroll = exports.hasPaginationChild = void 0;

var _react = _interopRequireDefault(require("react"));

const hasPaginationChild = (children, child) => {
  const pagination = _react.default.Children.toArray(children).find(item => /*#__PURE__*/_react.default.isValidElement(item) && item.type === child);

  if ( /*#__PURE__*/_react.default.isValidElement(pagination)) {
    var _pagination$props;

    return {
      hasPagination: true,
      rowsPerPage: (pagination == null ? void 0 : (_pagination$props = pagination.props) == null ? void 0 : _pagination$props.rowsPerPage) || 0
    };
  }

  return {
    hasPagination: false,
    rowsPerPage: 0
  };
};

exports.hasPaginationChild = hasPaginationChild;

const isInfinityScroll = collection => {
  var _collection$body;

  const bodyProps = (_collection$body = collection.body) == null ? void 0 : _collection$body.props;
  return (bodyProps == null ? void 0 : bodyProps.loadingState) !== undefined && typeof (bodyProps == null ? void 0 : bodyProps.onLoadMore) === 'function';
};

exports.isInfinityScroll = isInfinityScroll;