"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = require("react");

const useClickAway = (ref, handler) => {
  (0, _react.useEffect)(() => {
    const callback = event => {
      const el = ref.current;
      if (!event || !el || el.contains(event.target)) return;
      handler(event);
    };

    document.addEventListener('click', callback);
    return () => document.removeEventListener('click', callback);
  }, [ref, handler]);
};

var _default = useClickAway;
exports.default = _default;
module.exports = exports.default;