"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = exports.User = void 0;

var _react = _interopRequireDefault(require("react"));

var _index = require("../index");

var _dom = require("../utils/dom");

var _assertion = require("../utils/assertion");

var _user = require("./user.styles");

var _jsxRuntime = require("react/jsx-runtime");

const defaultProps = {
  size: 'lg',
  squared: false,
  bordered: false
};
const preClass = 'nextui-user';

const User = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    src,
    text,
    name,
    children,
    altText,
    color,
    squared,
    bordered,
    size,
    description,
    ...otherProps
  } = props;
  const domRef = (0, _dom.useDOMRef)(ref);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_user.StyledUser, {
    ref: domRef,
    ...otherProps,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Avatar, {
      className: `${preClass}-avatar`,
      src: src,
      color: color,
      squared: squared,
      zoomed: props.zoomed,
      pointer: props.pointer,
      bordered: bordered,
      text: text,
      size: size,
      alt: altText
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_user.StyledUserInfo, {
      className: `${preClass}-info`,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_user.StyledUserName, {
        className: `${preClass}-name`,
        children: name
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_user.StyledUserDesc, {
        className: `${preClass}-desc`,
        children: description || children
      })]
    })]
  });
});

exports.User = User;

if (_assertion.__DEV__) {
  User.displayName = 'NextUI.User';
}

User.toString = () => '.nextui-user';

var _default = User;
exports.default = _default;