"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _withDefaults = _interopRequireDefault(require("./with-defaults"));

var _clsx = _interopRequireDefault(require("./clsx"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const defaultProps = {
  visible: false,
  enterTime: 60,
  leaveTime: 60,
  clearTime: 60,
  className: '',
  name: 'transition'
};

const CSSTransition = ({
  children,
  childrenRef,
  className,
  visible,
  enterTime,
  leaveTime,
  clearTime,
  name,
  onExited,
  onEntered,
  ...props
}) => {
  const [classes, setClasses] = (0, _react.useState)('');
  const [renderable, setRenderable] = (0, _react.useState)(visible);
  (0, _react.useEffect)(() => {
    const statusClassName = visible ? 'enter' : 'leave';
    const time = visible ? enterTime : leaveTime;

    if (visible && !renderable) {
      setRenderable(true);
    }

    setClasses(`${name}-${statusClassName}`); // set class to active

    const timer = setTimeout(() => {
      setClasses(`${name}-${statusClassName} ${name}-${statusClassName}-active`);

      if (statusClassName === 'leave') {
        onExited == null ? void 0 : onExited();
      } else {
        onEntered == null ? void 0 : onEntered();
      }

      clearTimeout(timer);
    }, time); // remove classess when animation over

    const clearClassesTimer = setTimeout(() => {
      if (!visible) {
        setClasses('');
        setRenderable(false);
      }

      clearTimeout(clearClassesTimer);
    }, time + clearTime);
    return () => {
      clearTimeout(timer);
      clearTimeout(clearClassesTimer);
    };
  }, [visible, renderable]); // update children ref classes

  (0, _react.useEffect)(() => {
    if (!(childrenRef != null && childrenRef.current)) {
      return;
    }

    const classesArr = classes.split(' ');
    const refClassesArr = childrenRef.current.className.split(' ');
    const newRefClassesArr = refClassesArr.filter(item => !item.includes(name));
    childrenRef.current.className = (0, _clsx.default)(newRefClassesArr, classesArr);
  }, [childrenRef, classes]);
  if (! /*#__PURE__*/_react.default.isValidElement(children) || !renderable) return null;
  return /*#__PURE__*/_react.default.cloneElement(children, { ...props,
    className: (0, _clsx.default)(children.props.className, className, !(childrenRef != null && childrenRef.current) ? classes : '')
  });
};

var _default = (0, _withDefaults.default)(CSSTransition, defaultProps);

exports.default = _default;
module.exports = exports.default;