"use strict";

exports.__esModule = true;
exports.range = range;
exports.valueToPercent = valueToPercent;

/**
 * Convert a value to percentage based on lower and upper bound values
 *
 * @param value the value in number
 * @param min the minimum value
 * @param max the maximum value
 */
function valueToPercent(value, min, max) {
  return (value - min) * 100 / (max - min);
}

function range(start, end) {
  const length = end - start + 1;
  return Array.from({
    length
  }, (_, index) => index + start);
}