import React from 'react';
import { useDOMRef } from '../utils/dom';
import { __DEV__ } from '../utils/assertion';
import StyledAvatarGroup, { StyledAvatarGroupCount } from './avatar-group.styles';
import { jsxs as _jsxs } from "react/jsx-runtime";
export const AvatarGroup = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    count,
    children,
    ...otherProps
  } = props;
  const domRef = useDOMRef(ref);
  return /*#__PURE__*/_jsxs(StyledAvatarGroup, {
    ref: domRef,
    ...otherProps,
    children: [children, count && /*#__PURE__*/_jsxs(StyledAvatarGroupCount, {
      className: "nextui-avatar-group-count",
      children: ["+", count]
    })]
  });
});

if (__DEV__) {
  AvatarGroup.displayName = 'NextUI.AvatarGroup';
}

AvatarGroup.toString = () => '.nextui-avatar-group';

export default AvatarGroup;