import { useCheckboxGroupState } from '@react-stately/checkbox';
import { useCheckboxGroup as useReactAriaCheckboxGroup } from '@react-aria/checkbox';

/**
 * @internal
 */
export const useCheckboxGroup = (props = {}) => {
  const {
    size = 'md',
    color = 'default',
    labelColor = 'default',
    isRow = false,
    css,
    ...otherProps
  } = props;
  const groupState = useCheckboxGroupState(otherProps);
  const {
    labelProps,
    groupProps
  } = useReactAriaCheckboxGroup(otherProps, groupState);
  return {
    css,
    size,
    isRow,
    color,
    labelColor,
    groupState,
    labelProps,
    groupProps
  };
};