import React from 'react';
import withDefaults from '../utils/with-defaults';
import { StyledCode, StyledPre } from './code.styles';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultProps = {
  block: false
};

const Code = ({
  block,
  children,
  ...props
}) => {
  if (!block) return /*#__PURE__*/_jsx(StyledCode, { ...props,
    children: children
  });
  return /*#__PURE__*/_jsx(StyledPre, { ...props,
    children: /*#__PURE__*/_jsx(StyledCode, {
      children: children
    })
  });
};

Code.toString = () => '.nextui-code';

const MemoCode = /*#__PURE__*/React.memo(Code);
export default withDefaults(MemoCode, defaultProps);