import React from 'react';
import withDefaults from '../utils/with-defaults';
import StyledCol from './col.styles';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultProps = {
  span: 12,
  offset: 0
};

const Col = ({
  children,
  span,
  offset,
  css,
  ...props
}) => {
  return /*#__PURE__*/_jsx(StyledCol, {
    css: {
      width: `${100 / 12 * span}%`,
      marginLeft: `${100 / 12 * offset}%`,
      ...css
    },
    ...props,
    children: children
  });
};

Col.toString = () => '.nextui-column';

const MemoCol = /*#__PURE__*/React.memo(Col);
export default withDefaults(MemoCol, defaultProps);