import React, { useMemo } from 'react';
import GridBasicItem from './grid-item';
import clsx from '../utils/clsx';
import withDefaults from '../utils/with-defaults';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultProps = {
  gap: 0,
  wrap: 'wrap',
  className: ''
};
const GridContainer = /*#__PURE__*/React.forwardRef(({
  gap,
  wrap,
  css,
  children,
  className,
  ...props
}, ref) => {
  const gapUnit = useMemo(() => {
    return `calc(${gap} * $space$3)`;
  }, [gap]);
  return /*#__PURE__*/_jsx(GridBasicItem, {
    ref: ref,
    className: clsx('nextui-grid-container', className),
    css: {
      $$gridGapUnit: gapUnit,
      display: 'flex',
      flexWrap: wrap,
      boxSizing: 'border-box',
      margin: 'calc(-1 * $$gridGapUnit)',
      width: 'calc(100% + $$gridGapUnit * 2)',
      ...css
    },
    ...props,
    children: children
  });
});
GridContainer.displayName = 'NextUI.GridContainer';

GridContainer.toString = () => '.nextui-grid-container';

export default withDefaults(GridContainer, defaultProps);