import React from 'react';
import withDefaults from '../utils/with-defaults';
import { StyledImageSkeleton } from './image.styles';
import clsx from '../utils/clsx';
import { __DEV__ } from '../utils/assertion';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultProps = {
  opacity: 0.5,
  className: ''
};
const ImageSkeleton = /*#__PURE__*/React.memo(({
  opacity,
  css,
  className,
  ...props
}) => {
  return /*#__PURE__*/_jsx(StyledImageSkeleton, {
    css: {
      opacity,
      ...css
    },
    className: clsx('nextui-image-skeleton', className),
    ...props
  });
});

if (__DEV__) {
  ImageSkeleton.displayName = 'NextUI.ImageSkeleton';
}

ImageSkeleton.toString = () => '.nextui-image-skeleton';

export default withDefaults(ImageSkeleton, defaultProps);