import React from 'react';
import withDefaults from '../utils/with-defaults';
import LinkIcon from './icon';
import StyledLink from './link.styles';
import { __DEV__ } from '../utils/assertion';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const defaultProps = {
  icon: false
};
const Link = /*#__PURE__*/React.forwardRef(({
  children,
  icon,
  ...props
}, forwardedRef) => /*#__PURE__*/_jsx(StyledLink, { ...props,
  ref: forwardedRef,
  children: /*#__PURE__*/_jsxs(_Fragment, {
    children: [children, icon && /*#__PURE__*/_jsx(LinkIcon, {})]
  })
}));

if (__DEV__) {
  Link.displayName = 'NextUI.Link';
}

Link.toString = () => '.nextui-link';

export default withDefaults(Link, defaultProps);