import React, { useMemo } from 'react';
import withDefaults from '../utils/with-defaults';
import { StyledLoadingContainer, StyledLoading, StyledLoadingLabel } from './loading.styles';
import Spinner from './spinner';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
const defaultProps = {
  size: 'md',
  type: 'default'
};
const preClass = 'nextui-loading';

const Loading = ({
  children,
  size,
  gradientBackground,
  loadingCss,
  type,
  ...props
}) => {
  const ariaLabel = children ? '' : 'Loading';
  const loadingGradientCSS = useMemo(() => {
    return type === 'gradient' ? {
      '._2': {
        bg: gradientBackground
      }
    } : {};
  }, [type]);
  return /*#__PURE__*/_jsx(StyledLoadingContainer, { ...props,
    children: type === 'spinner' ? /*#__PURE__*/_jsx(Spinner, {
      size: size,
      children: children
    }) : /*#__PURE__*/_jsxs(_Fragment, {
      children: [/*#__PURE__*/_jsxs(StyledLoading, {
        className: `${preClass} ${preClass}-${type}`,
        type: type,
        size: size,
        "aria-label": ariaLabel,
        css: { ...loadingCss,
          ...loadingGradientCSS
        },
        children: [/*#__PURE__*/_jsx("i", {
          className: "_1"
        }), /*#__PURE__*/_jsx("i", {
          className: "_2"
        }), /*#__PURE__*/_jsx("i", {
          className: "_3"
        })]
      }), children && /*#__PURE__*/_jsx(StyledLoadingLabel, {
        size: size,
        className: `${preClass}-label`,
        children: children
      })]
    })
  });
};

Loading.toString = () => '.nextui-loading';

const MemoLoading = /*#__PURE__*/React.memo(Loading);
export default withDefaults(MemoLoading, defaultProps);