import React from 'react';
import { StyledSpinner, StyledSpinnerContainer, StyledSpinnerSpan, StyledLoadingLabel } from './loading.styles';
import clsx from '../utils/clsx';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

const Spinner = ({
  children,
  size,
  color,
  textColor,
  className,
  ...props
}) => {
  const isValidChildren = Array.isArray(children) ? (children == null ? void 0 : children.length) > 1 && children[0] !== undefined : children !== undefined;
  const ariaLabel = children && isValidChildren ? '' : 'Loading';
  return /*#__PURE__*/_jsxs(StyledSpinner, {
    className: clsx('nextui-spinner', className),
    color: color,
    size: size,
    ...props,
    children: [/*#__PURE__*/_jsx(StyledSpinnerContainer, {
      className: "nextui-spinner-container",
      "aria-label": ariaLabel,
      children: [...new Array(12)].map((_, index) => /*#__PURE__*/_jsx(StyledSpinnerSpan, {}, `nextui-spinner-${index}`))
    }), children && /*#__PURE__*/_jsx(StyledLoadingLabel, {
      size: size,
      color: textColor,
      children: children
    })]
  });
};

Spinner.toString = () => '.nextui-spinner';

export default Spinner;