import React from 'react';
import ClearIcon from '../utils/clear-icon';
import { StyledModalCloseButton } from './modal.styles';
import { jsx as _jsx } from "react/jsx-runtime";

const ModalCloseButton = ({
  onClick,
  ...props
}) => {
  const clickHandler = event => {
    event.preventDefault();
    event.stopPropagation();
    event.nativeEvent.stopImmediatePropagation();
    onClick && onClick(event);
  };

  return /*#__PURE__*/_jsx(StyledModalCloseButton, {
    type: "button",
    onClick: clickHandler,
    className: "nextui-modal-close-icon",
    "aria-label": "Close",
    ...props,
    children: /*#__PURE__*/_jsx(ClearIcon, {
      plain: true,
      size: 18,
      className: "nextui-modal-close-icon-svg",
      fill: "currentColor",
      "aria-hidden": true
    })
  });
};

ModalCloseButton.toString = () => '.nextui-modal-close-icon';

const MemoModalCloseButton = /*#__PURE__*/React.memo(ModalCloseButton);
export default MemoModalCloseButton;