import useCurrentState from '../use-current-state';

const useModal = (initialVisible = false) => {
  const [visible, setVisible, currentRef] = useCurrentState(initialVisible);
  return {
    visible,
    setVisible,
    currentRef,
    bindings: {
      open: visible,
      onClose: () => setVisible(false)
    }
  };
};

export default useModal;