import React, { useState } from 'react';
import PaginationItem from './pagination-item';
import { StyledPaginationEllipsis } from './pagination.styles';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

const PaginationEllipsis = ({
  value,
  isBefore,
  onlyDots,
  animated,
  bordered,
  onClick
}) => {
  const [showMore, setShowMore] = useState(false);
  return /*#__PURE__*/_jsx(PaginationItem, {
    value: value,
    onlyDots: onlyDots,
    animated: animated,
    bordered: bordered,
    onClick: e => onClick && onClick(e),
    onMouseEnter: () => setShowMore(true),
    onMouseLeave: () => setShowMore(false),
    children: showMore ? /*#__PURE__*/_jsxs(StyledPaginationEllipsis, {
      role: "presentation",
      focusable: "false",
      viewBox: "0 0 24 24",
      stroke: "currentColor",
      strokeWidth: "1.5",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      fill: "none",
      shapeRendering: "geometricPrecision",
      className: "nextui-pagination-ellipsis",
      isEllipsis: true,
      isBefore: isBefore,
      children: [/*#__PURE__*/_jsx("path", {
        d: "M13 17l5-5-5-5"
      }), /*#__PURE__*/_jsx("path", {
        d: "M6 17l5-5-5-5"
      })]
    }) : /*#__PURE__*/_jsxs(StyledPaginationEllipsis, {
      viewBox: "0 0 24 24",
      strokeWidth: "1.5",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      fill: "none",
      shapeRendering: "geometricPrecision",
      isEllipsis: false,
      isBefore: isBefore,
      children: [/*#__PURE__*/_jsx("circle", {
        cx: "12",
        cy: "12",
        r: "1",
        fill: "currentColor"
      }), /*#__PURE__*/_jsx("circle", {
        cx: "19",
        cy: "12",
        r: "1",
        fill: "currentColor"
      }), /*#__PURE__*/_jsx("circle", {
        cx: "5",
        cy: "12",
        r: "1",
        fill: "currentColor"
      })]
    })
  });
};

export default PaginationEllipsis;