import React from 'react';
import PaginationItem from './pagination-item';
import { StyledPaginationIcon } from './pagination.styles';
import { jsx as _jsx } from "react/jsx-runtime";

const PaginationIcon = ({
  isPrev,
  disabled,
  onlyDots,
  animated,
  bordered,
  onClick,
  ...props
}) => {
  return /*#__PURE__*/_jsx(PaginationItem, {
    preserveContent: true,
    value: isPrev ? '<' : '>',
    bordered: bordered,
    animated: animated,
    onlyDots: onlyDots,
    disabled: disabled,
    onClick: e => onClick && onClick(e),
    children: /*#__PURE__*/_jsx(StyledPaginationIcon, {
      role: "presentation",
      focusable: "false",
      viewBox: "0 0 24 24",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      className: "nextui-pagination-icon",
      isPrev: isPrev,
      ...props,
      children: /*#__PURE__*/_jsx("path", {
        d: "M15.5 19l-7-7 7-7",
        stroke: "currentColor",
        strokeWidth: 1.5,
        strokeLinecap: "round",
        strokeLinejoin: "round"
      })
    })
  });
};

PaginationIcon.toString = () => '.nextui-pagination-icon';

const MemoPaginationIcon = /*#__PURE__*/React.memo(PaginationIcon);
export default MemoPaginationIcon;