import React from 'react';
import { OverlayContainer } from '@react-aria/overlays';
import { __DEV__ } from '../utils/assertion';
import { pickChild } from '../utils/collections';
import { PopoverContent } from './popover-content';
import { usePopover } from './use-popover';
import { PopoverProvider } from './popover-context';
import { PopoverTrigger } from './popover-trigger';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

const Popover = props => {
  const {
    children,
    ...otherProps
  } = props;
  const context = usePopover(otherProps);
  const [withoutTrigger, triggerChildren] = pickChild(children, PopoverTrigger);
  const [, contentChildren] = pickChild(withoutTrigger, PopoverContent);
  const mountOverlay = context.state.isOpen || !context.exited;
  return /*#__PURE__*/_jsxs(PopoverProvider, {
    value: context,
    children: [triggerChildren, mountOverlay && /*#__PURE__*/_jsx(OverlayContainer, {
      children: contentChildren
    })]
  });
};

if (__DEV__) {
  Popover.displayName = 'NextUI.Popover';
}

Popover.toString = () => '.nextui-popover';

export default Popover;