import React from 'react';
import withDefaults from '../utils/with-defaults';
import StyledRow from './row.styles';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultProps = {
  gap: 0,
  wrap: 'nowrap',
  justify: 'flex-start',
  align: 'flex-start'
};

const Row = ({
  children,
  gap,
  justify,
  align,
  wrap,
  css,
  ...props
}) => {
  return /*#__PURE__*/_jsx(StyledRow, {
    css: {
      flexWrap: wrap,
      $$rowGap: `calc(${gap} * $space$lg)`,
      marginLeft: `calc(${gap} * $space$lg / 2)`,
      marginRight: `calc(${gap} * $space$lg / 2)`,
      justifyContent: justify,
      alignItems: align,
      ...css
    },
    ...props,
    children: children
  });
};

Row.toString = () => '.nextui-row';

const MemoRow = /*#__PURE__*/React.memo(Row);
export default withDefaults(MemoRow, defaultProps);