import React from 'react';
import withDefaults from '../utils/with-defaults';
import { getMargin } from '../utils/dimensions';
import { StyledSpacer } from './spacer.styles';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultProps = {
  x: 1,
  y: 1
};

const Spacer = ({
  x,
  y,
  inline,
  css,
  ...props
}) => {
  const marginLeft = getMargin(x);
  const marginTop = getMargin(y);
  return /*#__PURE__*/_jsx(StyledSpacer, {
    css: {
      marginLeft: `${marginLeft} !important`,
      marginTop: `${marginTop} !important`,
      ...css
    },
    "aria-hidden": "true",
    ...props
  });
};

Spacer.toString = () => '.nextui-spacer';

const MemoSpacer = /*#__PURE__*/React.memo(Spacer);
export default withDefaults(MemoSpacer, defaultProps);