import React from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultContext = {
  footerAlign: 'end',
  rowsPerPage: 0,
  currentPage: 1,
  animated: true
};
export const TableContext = /*#__PURE__*/React.createContext(defaultContext);
export const useTableContext = () => React.useContext(TableContext);

const Provider = ({
  children,
  defaultValues
}) => {
  const [footerAlign, setFooterAlign] = React.useState((defaultValues == null ? void 0 : defaultValues.footerAlign) || defaultContext.footerAlign);
  const [animated, setAnimated] = React.useState((defaultValues == null ? void 0 : defaultValues.animated) === undefined ? defaultContext.animated : defaultValues == null ? void 0 : defaultValues.animated);
  const [collection, setCollection] = React.useState(defaultValues == null ? void 0 : defaultValues.collection);
  const [rowsPerPage, setRowsPerPage] = React.useState((defaultValues == null ? void 0 : defaultValues.rowsPerPage) === undefined ? defaultContext.rowsPerPage : defaultValues == null ? void 0 : defaultValues.rowsPerPage);
  const [currentPage, setCurrentPage] = React.useState(defaultContext.currentPage);
  const [color, setColor] = React.useState(defaultValues == null ? void 0 : defaultValues.color);
  const providerValue = React.useMemo(() => ({
    animated,
    footerAlign,
    collection,
    rowsPerPage,
    currentPage,
    color,
    setFooterAlign,
    setCollection,
    setAnimated,
    setRowsPerPage,
    setColor,
    setCurrentPage
  }), [animated, color, collection, footerAlign, rowsPerPage, currentPage]);
  return /*#__PURE__*/_jsx(TableContext.Provider, {
    value: providerValue,
    children: children
  });
};

export default {
  Provider,
  Consumer: TableContext.Consumer
};