import React, { useRef, useImperativeHandle } from 'react';
import { useTableContext } from './table-context';
import { StyledTableFooter } from './table.styles';
import clsx from '../utils/clsx';
import { jsx as _jsx } from "react/jsx-runtime";
const TableFooter = /*#__PURE__*/React.forwardRef(({
  children,
  ...props
}, ref) => {
  const tableFooterRef = useRef(null);
  useImperativeHandle(ref, () => tableFooterRef == null ? void 0 : tableFooterRef.current);
  const {
    footerAlign
  } = useTableContext();
  return /*#__PURE__*/_jsx(StyledTableFooter, {
    ref: tableFooterRef,
    role: "rowgroup",
    align: props.align || footerAlign,
    className: clsx('nextui-table-footer', props.className),
    ...props,
    children: children
  });
});
TableFooter.displayName = 'NextUI.TableFooter';

TableFooter.toString = () => '.nextui-table-footer';

export default TableFooter;