import React, { useRef, useImperativeHandle } from 'react';
import { useTableHeaderRow } from '@react-aria/table';
import { StyledTableHeaderRow } from './table.styles';
import clsx from '../utils/clsx';
import { jsx as _jsx } from "react/jsx-runtime";
const TableHeaderRow = /*#__PURE__*/React.forwardRef(({
  children,
  item,
  state,
  ...props
}, ref) => {
  const tableHeaderRowRef = useRef(null);
  useImperativeHandle(ref, () => tableHeaderRowRef == null ? void 0 : tableHeaderRowRef.current);
  const {
    rowProps
  } = useTableHeaderRow({
    node: item
  }, state, tableHeaderRowRef);
  return /*#__PURE__*/_jsx(StyledTableHeaderRow, {
    ref: tableHeaderRowRef,
    className: clsx('nextui-table-header-row', props.className),
    ...props,
    ...rowProps,
    children: children
  });
});
TableHeaderRow.displayName = 'NextUI.TableHeaderRow';

TableHeaderRow.toString = () => '.nextui-table-header-row';

export default TableHeaderRow;