import React from 'react';
import { useTableRowGroup } from '@react-aria/table';
import { StyledTableRowGroup } from './table.styles';
import withDefaults from '../utils/with-defaults';
import clsx from '../utils/clsx';
import { jsx as _jsx } from "react/jsx-runtime";
const defaultProps = {
  as: 'thead'
};

const TableRowGroup = ({
  children,
  ...props
}) => {
  const {
    rowGroupProps
  } = useTableRowGroup();
  return /*#__PURE__*/_jsx(StyledTableRowGroup, {
    className: clsx('nextui-table-row-group', props.className),
    ...props,
    ...rowGroupProps,
    children: children
  });
};

export default withDefaults(TableRowGroup, defaultProps);