import useCurrentState from '../use-current-state';

const useInput = initialValue => {
  const [value, setValue, currentRef] = useCurrentState(initialValue);
  return {
    value,
    setValue,
    currentRef,
    reset: () => setValue(initialValue),
    bindings: {
      value,
      onChange: event => {
        if (typeof event === 'object' && event.target) {
          setValue(event.target.value);
        } else {
          setValue(event);
        }
      }
    }
  };
};

export default useInput;