import { getKeyValue } from '../utils/object';
import { isMac } from '../utils/collections';
import { KeyMod } from './codes';
/* istanbul ignore next */

export const getCtrlKeysByPlatform = () => {
  return {
    CtrlCmd: isMac() ? 'metaKey' : 'ctrlKey',
    WinCtrl: isMac() ? 'ctrlKey' : 'metaKey'
  };
};
export const getActiveModMap = bindings => {
  const modBindings = bindings.filter(item => !!getKeyValue(KeyMod, item));
  const activeModMap = {
    CtrlCmd: false,
    Shift: false,
    Alt: false,
    WinCtrl: false
  };
  modBindings.forEach(code => {
    const modKey = getKeyValue(KeyMod, code);
    activeModMap[modKey] = true;
  });
  return activeModMap;
};