import React from 'react';
import Link from '../link';
import { StyledUserLink } from './user.styles';
import { __DEV__ } from '../utils/assertion';
import { jsx as _jsx } from "react/jsx-runtime";
const UserLink = /*#__PURE__*/React.forwardRef(({
  href,
  className,
  children,
  ...props
}, ref) => {
  return /*#__PURE__*/_jsx(StyledUserLink, { ...props,
    children: /*#__PURE__*/_jsx(Link, {
      ref: ref,
      href: href,
      color: "primary",
      target: "_blank",
      rel: "noopener",
      children: children
    })
  });
});

if (__DEV__) {
  UserLink.displayName = 'NextUI.UserLink';
}

UserLink.toString = () => '.nextui-user-link';

const MemoUserLink = /*#__PURE__*/React.memo(UserLink);
export default MemoUserLink;