export const __DEV__ = process.env.NODE_ENV !== 'production';
export const __TEST__ = process.env.NODE_ENV === 'test';
export function isArray(value) {
  return Array.isArray(value);
}
export function isEmptyArray(value) {
  return isArray(value) && value.length === 0;
}
export function isObject(value) {
  const type = typeof value;
  return value != null && (type === 'object' || type === 'function') && !isArray(value);
}
export function isEmptyObject(value) {
  return isObject(value) && Object.keys(value).length === 0;
} // Empty assertions

export function isEmpty(value) {
  if (isArray(value)) return isEmptyArray(value);
  if (isObject(value)) return isEmptyObject(value);
  if (value == null || value === '') return true;
  return false;
} // Function assertions

export function isFunction(value) {
  return typeof value === 'function';
}