import React, { MouseEvent } from 'react';
import { CSS } from '../theme/stitches.config';
import { BackdropVariantsProps } from './backdrop.styles';
interface Props {
    onClick?: (event: MouseEvent<HTMLElement>) => void;
    onKeyPress?: (event: React.KeyboardEvent | KeyboardEvent) => void;
    visible?: boolean;
    preventDefault?: boolean;
    maxWidth?: string;
    animated?: boolean;
    blur?: boolean;
    opacity?: number;
    css?: CSS;
    className?: string;
    as?: keyof JSX.IntrinsicElements;
}
declare const defaultProps: {
    onClick: () => void;
    visible: boolean;
    blur: boolean;
    animated: boolean;
    preventDefault: boolean;
    opacity: number;
    className: string;
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type BackdropProps = Props & typeof defaultProps & NativeAttrs & BackdropVariantsProps;
declare const _default: React.ComponentType<Partial<{
    onClick: () => void;
    visible: boolean;
    blur: boolean;
    animated: boolean;
    preventDefault: boolean;
    opacity: number;
    className: string;
}> & Omit<React.PropsWithChildren<BackdropProps>, "blur" | "opacity" | "visible" | "className" | "preventDefault" | "onClick" | "animated">>;
export default _default;
