import React from 'react';
import { CSS } from '../theme/stitches.config';
import { NormalSizes, NormalColors, NormalWeights } from '../utils/prop-types';
import { ButtonGroupVariantsProps } from './button-group.styles';
interface Props {
    disabled?: boolean;
    bordered?: boolean;
    light?: boolean;
    flat?: boolean;
    shadow?: boolean;
    auto?: boolean;
    animated?: boolean;
    ripple?: boolean;
    rounded?: boolean;
    ghost?: boolean;
    borderWeight?: NormalWeights;
    size?: NormalSizes;
    color?: NormalColors;
}
declare const defaultProps: {
    borderWeight: "light" | "normal" | "bold" | "extrabold" | "black" | undefined;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error" | "gradient";
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type ButtonGroupProps = Props & ButtonGroupVariantsProps & NativeAttrs & typeof defaultProps & {
    css?: CSS;
};
declare const _default: React.ComponentType<Partial<{
    borderWeight: "light" | "normal" | "bold" | "extrabold" | "black" | undefined;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error" | "gradient";
}> & Omit<ButtonGroupProps, "color" | "size" | "borderWeight">>;
export default _default;
