import React, { PropsWithoutRef, RefAttributes } from 'react';
import Image from '../image';
import { CSS } from '../theme/stitches.config';
import { StyledCardHeader as CardHeader, StyledCardFooter as CardFooter, StyledCardBody as CardBody, CardVariantsProps } from './card.styles';
interface Props {
    cover?: boolean;
    ripple?: boolean;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    as?: keyof JSX.IntrinsicElements;
    preventDefault?: boolean;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type CardProps = Props & NativeAttrs & CardVariantsProps & {
    css?: CSS;
};
declare type CardComponent<T, P = {}> = React.ForwardRefExoticComponent<PropsWithoutRef<P> & RefAttributes<T>> & {
    Header: typeof CardHeader;
    Body: typeof CardBody;
    Footer: typeof CardFooter;
    Image: typeof Image;
};
declare const _default: CardComponent<HTMLDivElement, CardProps>;
export default _default;
