import React from 'react';
import type { CSS } from '../theme/stitches.config';
import { UseCheckboxProps } from './use-checkbox';
import CheckboxGroup from './checkbox-group';
interface Props extends UseCheckboxProps {
    label?: string;
    className?: string;
    children?: React.ReactNode;
    as?: keyof JSX.IntrinsicElements;
}
declare type NativeAttrs = Omit<React.LabelHTMLAttributes<unknown>, keyof Props>;
export declare type CheckboxProps = NativeAttrs & Props & {
    css?: CSS;
};
declare type CheckboxComponent<T, P = {}> = React.ForwardRefExoticComponent<React.PropsWithoutRef<P> & React.RefAttributes<T>> & {
    Group: typeof CheckboxGroup;
};
declare const _default: CheckboxComponent<HTMLLabelElement, CheckboxProps>;
export default _default;
