import React from 'react';
import type { AriaCheckboxGroupProps } from '@react-types/checkbox';
import type { CSS } from '../theme/stitches.config';
import type { NormalSizes, NormalColors, SimpleColors } from '../utils/prop-types';
interface Props extends AriaCheckboxGroupProps {
    isRow?: boolean;
    size?: NormalSizes;
    color?: NormalColors;
    labelColor?: SimpleColors;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type UseCheckboxGroupProps = Props & NativeAttrs & {
    css?: CSS;
};
/**
 * @internal
 */
export declare const useCheckboxGroup: (props?: UseCheckboxGroupProps) => {
    css: CSS | undefined;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    isRow: boolean;
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error" | "gradient";
    labelColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    groupState: import("@react-stately/checkbox").CheckboxGroupState;
    labelProps: React.HTMLAttributes<HTMLElement>;
    groupProps: React.HTMLAttributes<HTMLElement>;
};
export declare type UseCheckboxGroupReturn = Omit<ReturnType<typeof useCheckboxGroup>, 'css'>;
export {};
