/// <reference types="react" />
import type { AriaCheckboxProps } from '@react-types/checkbox';
import type { NormalSizes, NormalColors, SimpleColors } from '../utils/prop-types';
export interface UseCheckboxProps extends AriaCheckboxProps {
    isRounded?: boolean;
    lineThrough?: boolean;
    disableAnimation?: boolean;
    size?: NormalSizes;
    color?: NormalColors;
    labelColor?: SimpleColors;
}
/**
 * @internal
 */
export declare const useCheckbox: (props: UseCheckboxProps) => {
    size: "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error" | "gradient";
    labelColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    isRounded: boolean;
    lineThrough: boolean | undefined;
    disableAnimation: boolean;
    isIndeterminate: boolean;
    inputRef: import("react").RefObject<HTMLInputElement>;
    inputProps: import("react").InputHTMLAttributes<HTMLInputElement>;
};
export declare type UseCheckboxReturn = ReturnType<typeof useCheckbox>;
