import React from 'react';
import CollapseGroup from './collapse-group';
import { CSS } from '../theme/stitches.config';
import { CollapseVariantsProps } from './collapse.styles';
interface Props {
    title: React.ReactNode | string;
    subtitle?: React.ReactNode | string;
    divider?: boolean;
    animated?: boolean;
    bordered?: boolean;
    arrowIcon?: React.ReactNode;
    contentLeft?: React.ReactNode;
    expanded?: boolean;
    showArrow?: boolean;
    shadow?: boolean;
    index?: number;
    disabled?: boolean;
    preventDefault?: boolean;
    onChange?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>, index?: number | undefined, value?: boolean) => void;
    as?: keyof JSX.IntrinsicElements;
}
declare const defaultProps: {
    shadow: boolean;
    divider: boolean;
    bordered: boolean;
    showArrow: boolean;
    animated: boolean;
    disabled: boolean;
    preventDefault: boolean;
    expanded: boolean;
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type CollapseProps = Props & typeof defaultProps & CollapseVariantsProps & NativeAttrs & {
    css?: CSS;
};
declare type CollapseComponent<P = {}> = React.FC<P> & {
    Group: typeof CollapseGroup;
};
declare type ComponentProps = Partial<typeof defaultProps> & Omit<Props, keyof typeof defaultProps> & CollapseVariantsProps & NativeAttrs & {
    css?: CSS;
};
declare const _default: CollapseComponent<ComponentProps>;
export default _default;
