import React from 'react';
import { CSS } from '../theme/stitches.config';
import { Wrap, Display, Justify, Direction, AlignItems, AlignContent } from '../utils/prop-types';
interface Props {
    gap?: number;
    xs?: boolean;
    sm?: boolean;
    md?: boolean;
    lg?: boolean;
    xl?: boolean;
    responsive?: boolean;
    fluid?: boolean;
    wrap?: Wrap;
    display?: Display;
    justify?: Justify;
    direction?: Direction;
    alignItems?: AlignItems;
    alignContent?: AlignContent;
    as?: keyof JSX.IntrinsicElements;
    css?: CSS;
}
declare const defaultProps: {
    gap: number;
    xs: boolean;
    sm: boolean;
    md: boolean;
    lg: boolean;
    xl: boolean;
    responsive: boolean;
    fluid: boolean;
    wrap: "nowrap" | "wrap" | "wrap-reverse";
    as: keyof JSX.IntrinsicElements;
    display: "flex" | "block" | "grid" | "inline" | "inline-block" | "inline-flex" | "inline-grid";
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type ContainerProps = Props & typeof defaultProps & NativeAttrs;
declare type ComponentProps = Omit<Props, keyof typeof defaultProps> & Partial<typeof defaultProps> & NativeAttrs;
declare type MemoContainerComponent<P = {}> = React.NamedExoticComponent<P>;
declare const _default: MemoContainerComponent<ComponentProps>;
export default _default;
