import React from 'react';
import { DividerAlign, SimpleColors } from '../utils/prop-types';
import { CSS } from '../theme/stitches.config';
import { DividerVariantsProps } from './divider.styles';
interface Props {
    x?: number;
    y?: number;
    height?: number;
    textColor?: SimpleColors;
    align?: DividerAlign;
    css?: CSS;
    as?: keyof JSX.IntrinsicElements;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type DividerProps = Props & DividerVariantsProps & NativeAttrs;
declare const _default: React.ComponentType<Partial<{
    x: number;
    y: number;
    height: number;
    align: "left" | "right" | "start" | "center" | "end";
}> & Omit<DividerProps, "height" | "x" | "y" | "align">>;
export default _default;
