import React, { RefAttributes, PropsWithoutRef } from 'react';
import { CSS } from '../theme/stitches.config';
import { GridItemProps } from './grid-item';
import { Wrap } from '../utils/prop-types';
interface Props {
    gap?: number;
    wrap?: Wrap;
    className?: string;
    css?: CSS;
}
declare const defaultProps: {
    gap: number;
    wrap: "nowrap" | "wrap" | "wrap-reverse";
    className: string;
};
export declare type GridContainerProps = Props & Partial<typeof defaultProps> & GridItemProps;
declare type GridContainerComponent<T, P = {}> = React.ForwardRefExoticComponent<PropsWithoutRef<P> & RefAttributes<T>>;
declare const _default: GridContainerComponent<HTMLDivElement, GridContainerProps>;
export default _default;
