import React, { RefAttributes, PropsWithoutRef } from 'react';
import { BreakpointsValue, Justify, Direction, AlignItems, AlignContent } from '../utils/prop-types';
import { CSS } from '../theme/stitches.config';
import { GridItemVariantProps } from './grid.styles';
interface Props {
    xs?: BreakpointsValue;
    sm?: BreakpointsValue;
    md?: BreakpointsValue;
    lg?: BreakpointsValue;
    xl?: BreakpointsValue;
    justify?: Justify;
    direction?: Direction;
    alignItems?: AlignItems;
    alignContent?: AlignContent;
    css?: CSS;
    as?: keyof JSX.IntrinsicElements;
    className?: string;
}
declare const defaultProps: {
    xs: BreakpointsValue;
    sm: BreakpointsValue;
    md: BreakpointsValue;
    lg: BreakpointsValue;
    xl: BreakpointsValue;
    className: string;
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type GridItemProps = Props & Partial<typeof defaultProps> & NativeAttrs & GridItemVariantProps;
declare type GridItemComponent<T, P = {}> = React.ForwardRefExoticComponent<PropsWithoutRef<P> & RefAttributes<T>>;
declare const _default: GridItemComponent<HTMLDivElement, GridItemProps>;
export default _default;
