import React from 'react';
import { Props } from './input-props';
import { CSS } from '../theme/stitches.config';
interface PasswordProps extends Props {
    hideToggle?: boolean;
    visibleIcon?: React.ReactNode;
    hiddenIcon?: React.ReactNode;
}
declare const passwordDefaultProps: {
    hideToggle: boolean;
    visibleIcon: JSX.Element;
    hiddenIcon: JSX.Element;
    disabled: boolean;
    bordered: boolean;
    readOnly: boolean;
    clearable: boolean;
    rounded: boolean;
    animated: boolean;
    underlined: boolean;
    shadow: boolean;
    fullWidth: boolean;
    contentClickable: boolean;
    contentRightStyling: boolean;
    contentLeftStyling: boolean;
    required: boolean;
    width: string;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    helperColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    status: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    borderWeight: "light" | "normal" | "bold" | "extrabold" | "black";
    autoComplete: string;
    className: string;
    placeholder: string;
    initialValue: string;
};
declare type NativeAttrs = Omit<React.InputHTMLAttributes<any>, keyof PasswordProps>;
export declare type InputPasswordProps = PasswordProps & typeof passwordDefaultProps & NativeAttrs & {
    css?: CSS;
};
declare const _default: React.ComponentType<Partial<{
    hideToggle: boolean;
    visibleIcon: JSX.Element;
    hiddenIcon: JSX.Element;
    disabled: boolean;
    bordered: boolean;
    readOnly: boolean;
    clearable: boolean;
    rounded: boolean;
    animated: boolean;
    underlined: boolean;
    shadow: boolean;
    fullWidth: boolean;
    contentClickable: boolean;
    contentRightStyling: boolean;
    contentLeftStyling: boolean;
    required: boolean;
    width: string;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    helperColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    status: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    borderWeight: "light" | "normal" | "bold" | "extrabold" | "black";
    autoComplete: string;
    className: string;
    placeholder: string;
    initialValue: string;
}> & Omit<PasswordProps & {
    hideToggle: boolean;
    visibleIcon: JSX.Element;
    hiddenIcon: JSX.Element;
    disabled: boolean;
    bordered: boolean;
    readOnly: boolean;
    clearable: boolean;
    rounded: boolean;
    animated: boolean;
    underlined: boolean;
    shadow: boolean;
    fullWidth: boolean;
    contentClickable: boolean;
    contentRightStyling: boolean;
    contentLeftStyling: boolean;
    required: boolean;
    width: string;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    helperColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    status: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    borderWeight: "light" | "normal" | "bold" | "extrabold" | "black";
    autoComplete: string;
    className: string;
    placeholder: string;
    initialValue: string;
} & NativeAttrs & {
    css?: CSS | undefined;
} & React.RefAttributes<HTMLInputElement>, "clearable" | "rounded" | "contentClickable" | "contentLeftStyling" | "contentRightStyling" | "width" | "color" | "size" | "className" | "placeholder" | "status" | "borderWeight" | "bordered" | "animated" | "disabled" | "autoComplete" | "readOnly" | "required" | "shadow" | "initialValue" | "fullWidth" | "helperColor" | "underlined" | "hideToggle" | "visibleIcon" | "hiddenIcon">>;
export default _default;
