import React, { PropsWithoutRef, RefAttributes } from 'react';
import { CSS } from '../theme/stitches.config';
import Textarea from '../textarea';
import InputPassword from './input-password';
import { Props, FormElement, defaultProps } from './input-props';
declare type NativeAttrs = Omit<React.InputHTMLAttributes<any>, keyof Props>;
export declare type InputProps = Props & typeof defaultProps & NativeAttrs & {
    css?: CSS;
};
declare type InputComponent<T, P = {}> = React.ForwardRefExoticComponent<PropsWithoutRef<P> & RefAttributes<T>> & {
    Textarea: typeof Textarea;
    Password: typeof InputPassword;
};
declare type ComponentProps = Partial<typeof defaultProps> & Omit<Props, keyof typeof defaultProps> & NativeAttrs & {
    css?: CSS;
};
declare const _default: InputComponent<FormElement, ComponentProps>;
export default _default;
