import React from 'react';
import { NormalSizes, NormalLoaders } from '../utils/prop-types';
import { CSS } from '../theme/stitches.config';
import { LoadingContainerVariantsProps } from './loading.styles';
interface Props {
    size?: NormalSizes;
    gradientBackground?: string | null;
    type?: NormalLoaders;
    loadingCss?: CSS;
    as?: keyof JSX.IntrinsicElements;
}
declare const defaultProps: {
    size: "xs" | "sm" | "md" | "lg" | "xl";
    type: "default" | "gradient" | "points" | "points-opacity" | "spinner";
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type LoadingProps = Props & typeof defaultProps & NativeAttrs & LoadingContainerVariantsProps & {
    css?: CSS;
};
declare const _default: React.ComponentType<Partial<{
    size: "xs" | "sm" | "md" | "lg" | "xl";
    type: "default" | "gradient" | "points" | "points-opacity" | "spinner";
}> & Omit<LoadingProps, "size" | "type">>;
export default _default;
