import React from 'react';
import { NormalSizes, SimpleColors } from '../utils/prop-types';
import { CSS } from '../theme/stitches.config';
import { SpinnerVariantsProps } from './loading.styles';
interface Props {
    size?: NormalSizes;
    color?: SimpleColors;
    textColor?: SimpleColors;
    className?: string;
    as?: keyof JSX.IntrinsicElements;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type SpinnerProps = Props & NativeAttrs & SpinnerVariantsProps & {
    css?: CSS;
};
declare const Spinner: React.FC<React.PropsWithChildren<SpinnerProps>>;
export default Spinner;
