import React from 'react';
import ModalBody from './modal-body';
import ModalHeader from './modal-header';
import ModalFooter from './modal-footer';
import { ModalWrapperProps } from './modal-wrapper';
interface Props {
    open?: boolean;
    scroll?: boolean;
    blur?: boolean;
    noPadding?: boolean;
    closeButton?: boolean;
    animated?: boolean;
    fullScreen?: boolean;
    autoMargin?: boolean;
    width?: string;
    preventClose?: boolean;
    onOpen?: () => void;
    onClose?: () => void;
    className?: string;
}
declare const defaultProps: {
    width: string;
    className: string;
    preventClose: boolean;
    fullScreen: boolean;
    closeButton: boolean;
    animated: boolean;
    blur: boolean;
    scroll: boolean;
    noPadding: boolean;
};
declare type NativeAttrs = Omit<React.DialogHTMLAttributes<unknown>, keyof Props>;
export declare type ModalProps = Props & NativeAttrs & Partial<typeof defaultProps> & ModalWrapperProps;
declare type ModalComponent<P = {}> = React.FC<P> & {
    Header: typeof ModalHeader;
    Body: typeof ModalBody;
    Footer: typeof ModalFooter;
};
declare const _default: ModalComponent<ModalProps>;
export default _default;
