import React from 'react';
import { CSS } from '../theme/stitches.config';
import { PaginationVariantsProps } from './pagination.styles';
interface Props {
    page?: number;
    shadow?: boolean;
    initialPage?: number;
    loop?: boolean;
    animated?: boolean;
    controls?: boolean;
    rounded?: boolean;
    dotsJump?: number;
    total?: number;
    bordered?: boolean;
    noMargin?: boolean;
    onlyDots?: boolean;
    siblings?: number;
    boundaries?: number;
    onChange?: (page: number) => void;
    as?: keyof JSX.IntrinsicElements;
}
declare const defaultProps: {
    shadow: boolean;
    controls: boolean;
    bordered: boolean;
    initialPage: number;
    siblings: number;
    boundaries: number;
    dotsJump: number;
    total: number;
    loop: boolean;
    animated: boolean;
    onlyDots: boolean;
    noMargin: boolean;
    rounded: boolean;
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type PaginationProps = Props & typeof defaultProps & NativeAttrs & PaginationVariantsProps & {
    css?: CSS;
};
declare type MemoPaginationComponent<P = {}> = React.NamedExoticComponent<P>;
declare type ComponentProps = Partial<typeof defaultProps> & Omit<Props, keyof typeof defaultProps> & NativeAttrs & PaginationVariantsProps & {
    css?: CSS;
};
declare const _default: MemoPaginationComponent<ComponentProps>;
export default _default;
