import React, { ReactNode } from 'react';
import { PopoverContent } from './popover-content';
import { UsePopoverProps } from './use-popover';
import { PopoverTrigger } from './popover-trigger';
export interface PopoverProps extends UsePopoverProps {
    /**
     * The content of the popover. It is usually the `Popover.Trigger`,
     * and `Popover.Content`
     */
    children: ReactNode | undefined;
}
declare type PopoverComponent<P = {}> = React.FC<P> & {
    Trigger: typeof PopoverTrigger;
    Content: typeof PopoverContent;
};
declare const _default: PopoverComponent<PopoverProps>;
export default _default;
