import React, { ReactNode } from 'react';
import { NormalSizes, SimpleColors } from '../utils/prop-types';
import { RadioGroupVariantsProps } from './radio.styles';
import { CSS } from '../theme/stitches.config';
interface Props {
    children?: ReactNode;
    value?: string | number;
    initialValue?: string | number;
    disabled?: boolean;
    color?: SimpleColors;
    textColor?: SimpleColors;
    size?: NormalSizes;
    onChange?: (value: string | number) => void;
}
declare const defaultProps: {
    disabled: boolean;
    size: number | "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    textColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type RadioGroupProps = Props & typeof defaultProps & NativeAttrs & RadioGroupVariantsProps & {
    css?: CSS;
};
export declare const RadioGroup: React.ForwardRefExoticComponent<Props & {
    disabled: boolean;
    size: number | "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    textColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
} & NativeAttrs & import("@stitches/react/types/styled-component").TransformProps<{
    size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
    row?: boolean | "true" | "false" | undefined;
}, {
    xs: string;
    sm: string;
    md: string;
    lg: string;
    xl: string;
    xsMax: string;
    smMax: string;
    mdMax: string;
    lgMax: string;
    xlMax: string;
    motion: string;
    safari: string;
    hover: string;
    dark: string;
    light: string;
}> & {
    css?: CSS | undefined;
} & React.RefAttributes<HTMLDivElement>>;
declare const _default: React.ComponentType<Partial<{
    disabled: boolean;
    size: number | "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    textColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
}> & Omit<Props & {
    disabled: boolean;
    size: number | "xs" | "sm" | "md" | "lg" | "xl";
    color: "default" | "primary" | "secondary" | "success" | "warning" | "error";
    textColor: "default" | "primary" | "secondary" | "success" | "warning" | "error";
} & NativeAttrs & import("@stitches/react/types/styled-component").TransformProps<{
    size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
    row?: boolean | "true" | "false" | undefined;
}, {
    xs: string;
    sm: string;
    md: string;
    lg: string;
    xl: string;
    xsMax: string;
    smMax: string;
    mdMax: string;
    lgMax: string;
    xlMax: string;
    motion: string;
    safari: string;
    hover: string;
    dark: string;
    light: string;
}> & {
    css?: CSS | undefined;
} & React.RefAttributes<HTMLDivElement>, "color" | "size" | "textColor" | "disabled">>;
export default _default;
