import React from 'react';
import { CSS } from '../theme/stitches.config';
import { Justify, AlignItems, Wrap } from '../utils/prop-types';
import { RowVariantsProps } from './row.styles';
interface Props {
    gap?: number;
    wrap?: Wrap;
    justify?: Justify;
    align?: AlignItems;
    css?: CSS;
    as?: keyof JSX.IntrinsicElements;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type RowProps = Props & NativeAttrs & RowVariantsProps;
declare const _default: React.ComponentType<Partial<{
    gap: number;
    wrap: "nowrap" | "wrap" | "wrap-reverse";
    justify: "center" | "flex-start" | "flex-end" | "space-between" | "space-around" | "space-evenly";
    align: "center" | "flex-start" | "flex-end" | "stretch" | "baseline";
}> & Omit<RowProps, "wrap" | "gap" | "justify" | "align">>;
export default _default;
