import React from 'react';
import { CopyTypes, TooltipColors } from '../utils/prop-types';
import { CSS } from '../theme/stitches.config';
import { SnippetVariantsProps } from './snippet.styles';
interface Props {
    text?: string | string[];
    symbol?: string;
    showTooltip?: boolean;
    tooltipCopyText?: string;
    tooltipCopiedText?: string;
    copy?: CopyTypes;
    tooltipColor?: TooltipColors;
    as?: keyof JSX.IntrinsicElements;
}
declare const defaultProps: {
    symbol: string;
    showTooltip: boolean;
    copy: "default" | "slient" | "prevent";
    tooltipColor: string;
    tooltipCopyText: string;
    tooltipCopiedText: string;
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type SnippetProps = Props & typeof defaultProps & NativeAttrs & SnippetVariantsProps & {
    css?: CSS;
};
declare const _default: React.ComponentType<Partial<{
    symbol: string;
    showTooltip: boolean;
    copy: "default" | "slient" | "prevent";
    tooltipColor: string;
    tooltipCopyText: string;
    tooltipCopiedText: string;
}> & Omit<SnippetProps, "symbol" | "copy" | "showTooltip" | "tooltipCopyText" | "tooltipCopiedText" | "tooltipColor">>;
export default _default;
