import React from 'react';
import { CSS } from '../theme/stitches.config';
import { TableCollection } from '@react-types/table';
import { TableVariantsProps } from './table.styles';
import { TableState } from '@react-stately/table';
interface Props<T> {
    state: TableState<T>;
    collection: TableCollection<T>;
    animated?: boolean;
    hideLoading?: boolean;
    hasPagination?: boolean;
    color?: TableVariantsProps['color'];
    as?: keyof JSX.IntrinsicElements;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props<any>>;
export declare type TableBodyProps<T = unknown> = Props<T> & NativeAttrs & {
    css?: CSS;
};
declare const TableBody: React.FC<React.PropsWithChildren<TableBodyProps>>;
export default TableBody;
