import React from 'react';
import { CSS } from '../theme/stitches.config';
import { GridNode } from '@react-types/grid';
import { TableState } from '@react-stately/table';
declare type CellProps<T> = GridNode<T> & {
    rendered: React.ReactNode;
};
interface Props<T> {
    cell: CellProps<T>;
    state: TableState<T>;
    as?: keyof JSX.IntrinsicElements;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props<any>>;
export declare type TableCellProps<T = unknown> = Props<T> & NativeAttrs & {
    css?: CSS;
};
declare const TableCell: React.ForwardRefExoticComponent<Props<unknown> & NativeAttrs & {
    css?: CSS | undefined;
} & React.RefAttributes<HTMLTableCellElement>>;
export default TableCell;
