import React from 'react';
import { CSS } from '../theme/stitches.config';
import { GridNode } from '@react-types/grid';
import { TableState } from '@react-stately/table';
import { TableVariantsProps } from './table.styles';
declare type CellProps<T> = GridNode<T> & {
    parentKey?: React.Key;
};
interface Props<T> {
    cell: CellProps<T>;
    state: TableState<T>;
    color?: TableVariantsProps['color'];
    animated?: boolean;
    as?: keyof JSX.IntrinsicElements;
}
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props<any>>;
export declare type TableCheckboxCellProps<T = unknown> = Props<T> & NativeAttrs & {
    css?: CSS;
};
declare const TableCheckboxCell: React.ForwardRefExoticComponent<Props<unknown> & NativeAttrs & {
    css?: CSS | undefined;
} & React.RefAttributes<HTMLTableCellElement>>;
export default TableCheckboxCell;
