import React from 'react';
import { TableCollection } from '@react-types/table';
import { NormalAlignment } from '../utils/prop-types';
import { TableVariantsProps } from './table.styles';
export interface TableConfig {
    rowsPerPage: number;
    currentPage: number;
    color?: TableVariantsProps['color'];
    animated?: boolean;
    footerAlign?: NormalAlignment;
    collection?: TableCollection<any>;
    setFooterAlign?: (value: NormalAlignment) => void;
    setAnimated?: (value: boolean) => void;
    setCollection?: (value: TableCollection<any>) => void;
    setRowsPerPage?: (value: number) => void;
    setCurrentPage?: (value: number) => void;
    setColor?: (value: TableVariantsProps['color']) => void;
}
export declare const TableContext: React.Context<TableConfig>;
export declare const useTableContext: () => TableConfig;
export declare type ProviderProps = {
    children: React.ReactNode;
    defaultValues?: Partial<TableConfig>;
};
declare const _default: {
    Provider: React.FC<React.PropsWithChildren<ProviderProps>>;
    Consumer: React.Consumer<TableConfig>;
};
export default _default;
