import React, { ReactNode } from 'react';
import { SimpleColors, TextTransforms } from '../utils/prop-types';
import { TextChildProps } from './child';
interface Props {
    children?: ReactNode;
    h1?: boolean;
    h2?: boolean;
    h3?: boolean;
    h4?: boolean;
    h5?: boolean;
    h6?: boolean;
    b?: boolean;
    small?: boolean;
    transform?: TextTransforms;
    i?: boolean;
    span?: boolean;
    del?: boolean;
    em?: boolean;
    blockquote?: boolean;
    size?: string | number;
    margin?: string | number;
    color?: SimpleColors | string;
}
declare const defaultProps: {
    h1: boolean;
    h2: boolean;
    h3: boolean;
    h4: boolean;
    h5: boolean;
    h6: boolean;
    b: boolean;
    small: boolean;
    transform: "inherit" | "initial" | "revert" | "unset" | "none" | "capitalize" | "uppercase" | "lowercase" | "full-width" | "full-size-kana";
    i: boolean;
    span: boolean;
    del: boolean;
    em: boolean;
    blockquote: boolean;
    color: string;
};
declare type NativeAttrs = Omit<React.HTMLAttributes<unknown>, keyof Props>;
export declare type TextProps = Props & typeof defaultProps & NativeAttrs & Omit<TextChildProps, keyof Props | 'tag'>;
export declare const Text: React.ForwardRefExoticComponent<Props & {
    h1: boolean;
    h2: boolean;
    h3: boolean;
    h4: boolean;
    h5: boolean;
    h6: boolean;
    b: boolean;
    small: boolean;
    transform: "inherit" | "initial" | "revert" | "unset" | "none" | "capitalize" | "uppercase" | "lowercase" | "full-width" | "full-size-kana";
    i: boolean;
    span: boolean;
    del: boolean;
    em: boolean;
    blockquote: boolean;
    color: string;
} & NativeAttrs & Omit<TextChildProps, "tag" | keyof Props> & React.RefAttributes<HTMLElement>>;
declare const _default: React.ComponentType<Partial<{
    h1: boolean;
    h2: boolean;
    h3: boolean;
    h4: boolean;
    h5: boolean;
    h6: boolean;
    b: boolean;
    small: boolean;
    transform: "inherit" | "initial" | "revert" | "unset" | "none" | "capitalize" | "uppercase" | "lowercase" | "full-width" | "full-size-kana";
    i: boolean;
    span: boolean;
    del: boolean;
    em: boolean;
    blockquote: boolean;
    color: string;
}> & Omit<Props & {
    h1: boolean;
    h2: boolean;
    h3: boolean;
    h4: boolean;
    h5: boolean;
    h6: boolean;
    b: boolean;
    small: boolean;
    transform: "inherit" | "initial" | "revert" | "unset" | "none" | "capitalize" | "uppercase" | "lowercase" | "full-width" | "full-size-kana";
    i: boolean;
    span: boolean;
    del: boolean;
    em: boolean;
    blockquote: boolean;
    color: string;
} & NativeAttrs & Omit<TextChildProps, "tag" | keyof Props> & React.RefAttributes<HTMLElement>, "b" | "blockquote" | "del" | "em" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "i" | "small" | "span" | "color" | "transform">>;
export default _default;
