import React, { MutableRefObject } from 'react';
import { CSS } from '../theme/stitches.config';
import { Placement } from '../utils/prop-types';
import { TooltipContentVariantsProps } from './tooltip.styles';
interface Props {
    placement?: Placement;
    visible?: boolean;
    offset?: number;
    parent?: MutableRefObject<HTMLElement | null> | undefined;
    animated?: boolean;
    rounded?: boolean;
    hideArrow?: boolean;
    className?: string;
    css?: CSS;
}
declare const defaultProps: {
    placement: "top" | "topStart" | "topEnd" | "left" | "leftStart" | "leftEnd" | "bottom" | "bottomStart" | "bottomEnd" | "right" | "rightStart" | "rightEnd";
    offset: number;
    className: string;
};
export declare type TooltipContentProps = Props & typeof defaultProps & TooltipContentVariantsProps;
declare const _default: React.ComponentType<Partial<{
    placement: "top" | "topStart" | "topEnd" | "left" | "leftStart" | "leftEnd" | "bottom" | "bottomStart" | "bottomEnd" | "right" | "rightStart" | "rightEnd";
    offset: number;
    className: string;
}> & Omit<React.PropsWithChildren<TooltipContentProps>, "offset" | "className" | "placement">>;
export default _default;
