export declare const getCssVar: (name: string) => string;
export declare const isCssVar: (property: string) => boolean;
/**
 * This function allows validate if a string is a hexadecimal
 * value
 * @param str [string] hexadecimal value
 * @returns result [boolean]
 */
export declare const isHex: (str: string) => boolean;
/**
 *
 * @param hex [string]
 * @param alpha [number]
 * @returns [string]
 */
export declare const hexToRGBA: (hex: string, alpha?: number) => string;
export declare const isNormalColor: (color: string) => boolean;
/**
 * Function that checks color name support in the current browser
 * @param strColor
 * @returns boolean
 */
export declare const isColor: (strColor: string) => boolean;
export declare const hexToRgb: (color: string) => [number, number, number];
export declare const hexFromString: (str: string, defaultColor?: string, returnLast?: boolean) => string | RegExpMatchArray;
export declare const colorToRgbValues: (colorProp: string) => number[];
export declare const addColorAlpha: (colorProp?: string | undefined, alpha?: number) => string;
export declare const invertHex: (hexProp: string, smooth?: boolean) => string;
