import { ElementType } from 'react';
export declare const tuple: <T extends string[]>(...args: T) => T;
declare const normalSizes: ["xs", "sm", "md", "lg", "xl"];
export declare const normalColors: ["default", "primary", "secondary", "success", "warning", "error", "gradient"];
export declare const simpleColors: ["default", "primary", "secondary", "success", "warning", "error"];
export declare const extendedColors: ["default", "primary", "secondary", "success", "warning", "error", "invert", "gradient"];
export declare const extendedColorsNoGradient: ["default", "primary", "secondary", "success", "warning", "error", "invert"];
export declare const extraColors: ["default", "primary", "secondary", "success", "warning", "error", "dark", "lite", "alert", "purple", "violet", "gradient", "cyan"];
export declare const normalLoaders: ["default", "points", "points-opacity", "gradient", "spinner"];
export declare const normalWeights: ["light", "normal", "bold", "extrabold", "black"];
export declare const textWeights: ["normal", "bold", "lighter", "bolder", "inherit", "initial", "revert", "unset"];
export declare const textTransforms: ["none", "capitalize", "uppercase", "lowercase", "full-width", "full-size-kana", "inherit", "initial", "revert", "unset"];
declare const copyTypes: ["default", "slient", "prevent"];
declare const triggerTypes: ["hover", "click"];
declare const placement: ["top", "topStart", "topEnd", "left", "leftStart", "leftEnd", "bottom", "bottomStart", "bottomEnd", "right", "rightStart", "rightEnd"];
declare const position: ["static", "relative", "absolute", "fixed", "sticky", "inherit", "initial", "revert", "unset"];
declare const objectFit: ["contain", "cover", "fill", "none", "scale-down", "inherit", "initial", "revert", "unset"];
declare const dividerAlign: ["start", "center", "end", "left", "right"];
declare const justify: ["flex-start", "center", "flex-end", "space-between", "space-around", "space-evenly"];
declare const alignItems: ["flex-start", "flex-end", "center", "stretch", "baseline"];
declare const alignContent: ["stretch", "center", "flex-start", "flex-end", "space-between", "space-around"];
declare const direction: ["row", "row-reverse", "column", "column-reverse"];
declare const wrap: ["nowrap", "wrap", "wrap-reverse"];
declare const display: ["flex", "block", "grid", "inline", "inline-block", "inline-flex", "inline-grid"];
declare const contentPosition: ["left", "right"];
declare const normalAlignments: ["start", "center", "end"];
export declare const excludedInputPropsForTextarea: ["clearable", "as", "rounded", "labelLeft", "labelRight", "contentLeft", "contentRight", "contentClickable", "contentLeftStyling", "contentRightStyling", "onContentClick", "onClearClick", "css"];
export declare const excludedTableProps: ["items", "disabledKeys", "allowDuplicateSelectionEvents", "disallowEmptySelection", "defaultSelectedKeys", "sortDescriptor", "onSortChange"];
declare const selectionBehavior: ["toggle", "replace"];
declare const selectionMode: ["none", "single", "multiple"];
export declare type Display = typeof display[number];
export declare type Justify = typeof justify[number];
export declare type AlignItems = typeof alignItems[number];
export declare type AlignContent = typeof alignContent[number];
export declare type Direction = typeof direction[number];
export declare type Wrap = typeof wrap[number];
export declare type NormalSizes = typeof normalSizes[number];
export declare type NormalWeights = typeof normalWeights[number];
export declare type TextWeights = typeof textWeights[number] | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900;
export declare type TextTransforms = typeof textTransforms[number];
export declare type NormalColors = typeof normalColors[number];
export declare type SimpleColors = typeof simpleColors[number];
export declare type TooltipColors = typeof extendedColorsNoGradient[number];
export declare type NormalLoaders = typeof normalLoaders[number];
export declare type NormalAlignment = typeof normalAlignments[number];
export declare type SnippetTypes = typeof extendedColors[number];
export declare type CopyTypes = typeof copyTypes[number];
export declare type ObjectFit = typeof objectFit[number];
export declare type TriggerTypes = typeof triggerTypes[number];
export declare type Placement = typeof placement[number];
export declare type Position = typeof position[number];
export declare type DividerAlign = typeof dividerAlign[number];
export declare type ContentPosition = typeof contentPosition[number];
export declare type BreakpointsValue = number | boolean;
export declare type ExcludedInputProps = typeof excludedInputPropsForTextarea[number];
export interface AsProp<As extends ElementType = ElementType> {
    as?: As;
}
export declare type SelectionMode = typeof selectionMode[number];
export declare type SelectionBehavior = typeof selectionBehavior[number];
export {};
